<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="nt-list-top-actions d-md-flex mt-2 mt-lg-0" id="nt_header-actions">
    <div
      class="d-flex d-md-block justify-content-center nt-list-top-actions-item"
      v-for="(action, index) in actionLists"
      :key="index"
    >
      <template v-if="actionLists && actionLists.length > 0">
        <template
          v-if="accessible(userCheckAddOn, action.serviceName, action.permissionActionName, userCurrentPermissions, action.isMultipleAction)"
        >
          <a
            v-if="action.type === 4 && action.position === 'before'"
            @click.prevent="actionClick(action.nameFunction)"
            class="m--top-action d-flex justify-content-center"
            :class="action.class"
          >
            <i v-if="action.isIcon" :class="action.iconClass"></i>
            <span>{{action.name}}</span>
          </a>
        </template>
        <template v-else>
          <a
            v-if="action.type === 4 && action.position === 'before'"
            class="m--top-action d-flex justify-content-center nt-button-not-permisson"
            :class="action.class"
            data-toggle="m-tooltip"
            :data-original-title="titleNotPermisson"
             data-html="true"
          >
            <i v-if="action.isIcon" :class="action.iconClass"></i>
            <span>{{action.name}}</span>
          </a>
        </template>

        <template
          v-if="accessible(userCheckAddOn, action.serviceName, action.permissionActionName, userCurrentPermissions, action.isMultipleAction)"
        >
          <a
            v-if="action.type === 1"
            :data-toggle="action.isModal ? 'modal' : ''"
            :data-target="action.idModal"
            class="m--top-action d-flex justify-content-center"
            :class="action.class"
          >
            <i v-if="action.isIcon" :class="action.iconClass"></i>
            <span>{{action.name}}</span>
          </a>
        </template>
        <template v-else>
          <a
            data-toggle="m-tooltip"
            :data-original-title="titleNotPermisson"
            data-html="true"
            :class="action.class"
            v-if="action.type === 1"
            class="m--top-action d-flex justify-content-center nt-button-not-permisson"
          >
            <i v-if="action.isIcon" :class="action.iconClass"></i>
            <span>{{action.name}}</span>
          </a>
        </template>

        <!-- Chưa check permisson -->
        <div v-if="action.type === 2" role="group" aria-label :class="action.class">
          <button
            v-for="(group, indexA) in action.groups"
            :key="indexA"
            :data-toggle="group.isModal ? 'modal' : ''"
            :data-target="group.idModal"
            :class="group.active ? group.activeClass : group.class"
          >
            <i v-if="group.isIcon" :class="group.iconClass"></i>
            <span>{{group.name}}</span>
          </button>
        </div>

        <template
          v-if="accessible(userCheckAddOn, action.serviceName, action.permissionActionName, userCurrentPermissions, action.isMultipleAction)"
        >
          <router-link
            v-if="action.type === 3"
            :key="index"
            class="m--top-action d-flex justify-content-center"
            :class="action.class"
            :to="{name : action.nameLink , params : {team_id : currentTeamId, customer_id : currentCustomerId, deal_id : currentDealId} }"
          >
            <i v-if="action.isIcon" :class="action.iconClass"></i>
            <span>{{action.name}}</span>
          </router-link>
        </template>
        <template v-else>
          <a
            v-if="action.type === 3"
            :key="index"
            class="m--top-action d-flex justify-content-center nt-button-not-permisson"
            :class="action.class"
            data-toggle="m-tooltip"
            :data-original-title="titleNotPermisson"
            data-html="true"
          >
            <i v-if="action.isIcon" :class="action.iconClass"></i>
            <span>{{action.name}}</span>
          </a>
        </template>

        <template
          v-if="accessible(userCheckAddOn, action.serviceName, action.permissionActionName, userCurrentPermissions, action.isMultipleAction)"
        >
          <a
            v-if="action.type === 4 && action.position === 'after'"
            @click.prevent="actionClick(action.nameFunction)"
            class="m--top-action d-flex justify-content-center"
            :class="action.class"
          >
            <i v-if="action.isIcon" :class="action.iconClass"></i>
            <span>{{action.name}}</span>
          </a>
        </template>
        <template v-else>
          <a
            v-if="action.type === 4 && action.position === 'after'"
            class="m--top-action d-flex justify-content-center nt-button-not-permisson"
            :class="action.class"
            data-toggle="m-tooltip"
            :data-original-title="titleNotPermisson"
             data-html="true"
          >
            <i v-if="action.isIcon" :class="action.iconClass"></i>
            <span>{{action.name}}</span>
          </a>
        </template>

        <!-- Chưa check permisson -->
        <template v-if="action.type === 5">
          <div
            class="m-nav__item m-dropdown m-dropdown--arrow m-dropdown--align-right m-dropdown--mobile-full-width m-dropdown--skin-ligh w-100"
            m-dropdown-toggle="click"
          >
            <a
              :id="action.id"
              class="m-dropdown__toggle d-flex align-items-center d-flex justify-content-center"
              :class="action.class"
              @click.prevent="actionClick(action.nameFunction)"
            >
              <span class="mr-2">{{action.name}}</span>
              <i class="fas fa-angle-down m-0 ml-2" style="font-size: 12px"></i>
            </a>
            <div class="m-dropdown__wrapper">
              <div class="m-dropdown__inner">
                <div class="m-dropdown__body">
                  <div
                    v-for="(item, index) in action.array"
                    :key="index"
                    class="d-flex align-items-center cursor-pointer action-dropdown"
                    @click="actionClick(item.action); hideDropdown(action.id)"
                  >
                    <i class="icon mr-2" :class="item.icon"></i>
                    {{ item.name }}
                  </div>
                </div>
              </div>
            </div>
          </div>
        </template>
      </template>
    </div>
  </div>
</template>
